package com.menlo.example

import spock.lang.*

class Test_example extends Specification {
	static String here = System.getProperty("user.dir")
	static String prog = "${here}/src/main/bash/example"

def setupSpec() {
println "in setupSpec"
}

	def "exits with 0"() {
		when:
			Process p = "${prog} yes".execute()
			p.waitFor()

		then:
			p.exitValue() == 0
			p.text.contains("hello, world")
	}

	def "exits with 1"() {
		when:
			Process p = "${prog} no".execute()
			p.waitFor()

		then:
			p.exitValue() == 1
			p.err.text.contains("goodbye, cruel world")
	}

def cleanupSpec() {
println "in cleanupSpec"
}
} // Test_example
